import wx

class PUMenu(wx.Menu):
    def __init__(self, parent, thevtkobject):
        wx.Menu.__init__(self)
        
        self.parent = parent
        self.thevtkobject = thevtkobject
        
        min = wx.MenuItem(self, wx.NewId(),'Show properties window')
        self.AppendItem(min)
        self.Bind(wx.EVT_MENU, self.OnShow, id=min.GetId())
        
    def OnShow(self, evt):
        self.thevtkobject.my_property_frame_instance.Show(True)
